## freeciv 2.4.2

=== win32/installer/Makefile ===
#
# Makefile for Freeciv Windows installer creation
#
# Usage:
#
# 1. download and extract the MinGW build environment from
#    http://download.gna.org/freeciv/packages/windows/gnuwin32/
# 2. double click on "gnuwin32/msys.bat"
# 3. install the development packages:
#    $ hg qpush -a
# 4. close current session and restart msys.bat. This is required
#    for PATH to be set correctly after development packages
#    installation.
# 5. change into the Freeciv directory where this Makefile resides
#    $ cd <path_to_freeciv_source>/win32/installer
# 6. run make
#    $ make
# 7. find the installer executables in the 'Output' directory
#


#
# Make rules
#


# build all installers

all: 
	make GUI=gtk3 installer-gtk3
	make GUI=gtk2 installer-gtk2
	make GUI=sdl installer-sdl


# build Freeciv

build-freeciv-common:
	# create build directory
	mkdir -p build-$(GUI)
	# configure
	cd build-$(GUI); ../../../configure --enable-client=$(GUI) --with-followtag="win32" --enable-fcdb=sqlite3 --enable-fcmp=gtk2
	# make
	make -C build-$(GUI)

build-freeciv-gtk3: build-freeciv-common

build-freeciv-gtk2: build-freeciv-common

build-freeciv-sdl: build-freeciv-common


# install Freeciv

install-freeciv-common:
	# make install
	make -C build-$(GUI) DESTDIR=`pwd`/install-$(GUI) install
	# reorder directory layout
	mv install-$(GUI)/usr/local/bin/* install-$(GUI)/
	mv install-$(GUI)/usr/local/etc install-$(GUI)/
	mv install-$(GUI)/usr/local/share/freeciv install-$(GUI)/data
	mkdir -p install-$(GUI)/share
	mv install-$(GUI)/usr/local/share/locale install-$(GUI)/share/
	mv install-$(GUI)/usr/local/share/doc install-$(GUI)/doc
	# delete unneeded files
	rm -r install-$(GUI)/usr
	# strip 'freeciv-manual' and 'freeciv-modpack' executables
	strip install-$(GUI)/freeciv-m*
	# add start menu files
	cp freeciv-server.cmd freeciv-modpack.cmd freeciv-$(GUI).cmd Freeciv.url install-$(GUI)/

install-freeciv-gtk3: install-freeciv-common

install-freeciv-gtk2: install-freeciv-common

install-freeciv-sdl: install-freeciv-common
	# add CJK fonts
	cp /opt/fireflysung-1.3.0/fireflysung.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/fireflysung-1.3.0/COPYRIGHT install-sdl/data/themes/gui-sdl/human/COPYING.fireflysung
	cp /opt/sazanami-20040629/sazanami-gothic.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/sazanami-20040629/README install-sdl/data/themes/gui-sdl/human/COPYING.sazanami
	cp /opt/un-fonts/UnDotum.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/un-fonts/COPYING install-sdl/data/themes/gui-sdl/human/COPYING.UnDotum


# install Freeciv environment

COMMON_DLLS := \
	SDL.dll \
	SDL_mixer.dll \
	exchndl.dll \
	freetype6.dll \
	intl.dll \
	libMagickCore-6.Q16-1.dll \
	libMagickWand-6.Q16-1.dll \
	libatk-1.0-0.dll \
	libbz2-2.dll \
	libcurl.dll \
	libcairo-2.dll \
	libcairo-gobject-2.dll \
	libeay32.dll \
	libffi-6.dll \
	libfontconfig-1.dll \
	libfreetype-6.dll \
	libgcc_s_dw2-1.dll \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libglib-2.0-0.dll \
	libgmodule-2.0-0.dll \
	libgobject-2.0-0.dll \
	libgthread-2.0-0.dll \
	libiconv-2.dll \
	libidn-11.dll \
	libintl-8.dll \
	liblzma-5.dll \
	libogg-0.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangoft2-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libpixman-1-0.dll \
	libpng14-14.dll \
	libpng15-15.dll \
	libpthread-2.dll \
	libsqlite3-0.dll \
	libssl32.dll \
	libvorbis-0.dll \
	libvorbisfile-3.dll \
	libxml2-2.dll \
	pthreadGC2.dll \
	zlib1.dll

install-env-common:
	# add DLLs
	cp -R $(addprefix /bin/, $(COMMON_DLLS)) install-$(GUI)

DEFAULT_FCMP_DLLS := \
	libgdk-win32-2.0-0.dll \
	libgtk-win32-2.0-0.dll

install-env-default-fcmp: install-env-common
	cp -R $(addprefix /bin/, $(DEFAULT_FCMP_DLLS)) install-$(GUI)
	# add additional GTK+2 files
	mkdir -p install-$(GUI)/etc
	cp -R /etc/gtk-2.0 install-$(GUI)/etc/
	mkdir -p install-$(GUI)/lib/gtk-2.0/
	cp -R /lib/gtk-2.0/2.10.0 install-$(GUI)/lib/gtk-2.0/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name freeciv.mo -and -not -name gtk30.mo -and -not -name gtk20.mo -delete

GTK3_DLLS := \
	libgdk-3-0.dll \
	libgtk-3-0.dll

install-env-gtk3: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix /bin/, $(GTK3_DLLS)) install-$(GUI)
	# add additional GTK+3 files
	mkdir -p install-$(GUI)/etc
	cp -R /etc/gtk-3.0 install-$(GUI)/etc/
	mkdir -p install-$(GUI)/lib/gtk-3.0/
	cp -R /lib/gtk-3.0/3.0.0 install-$(GUI)/lib/gtk-3.0/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name freeciv.mo -and -not -name gtk30.mo -delete

install-env-gtk2: install-env-default-fcmp

SDL_DLLS := \
	libpng12-0.dll \
	SDL_image.dll

install-env-sdl: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix /bin/, $(SDL_DLLS)) install-$(GUI)


# build installer
	
installer-common: clean-install-common install-freeciv-$(GUI) install-env-$(GUI)
	# extract Freeciv version
	$(eval FREECIV_VERSION := $(shell ../../fc_version))
	# create NSIS script
	./create-freeciv-$(GUI)-nsi.sh install-$(GUI) $(FREECIV_VERSION) > Freeciv-$(FREECIV_VERSION)-$(GUI).nsi
	# create installer executable
	mkdir -p Output
	makensis Freeciv-$(FREECIV_VERSION)-$(GUI).nsi

installer-gtk3: build-freeciv-gtk3 installer-common

installer-gtk2: build-freeciv-gtk2 installer-common

installer-sdl: build-freeciv-sdl installer-common


# cleanup

clean-build-common:
	rm -rf build-$(GUI)

clean-install-common:
	rm -rf install-$(GUI)

clean-installer-common:
	rm -f Output/Freeciv-*-$(GUI)-setup.exe
	rm -f Freeciv-*-$(GUI).nsi

clean:
	make GUI=gtk3 clean-build-common clean-install-common clean-installer-common
	make GUI=gtk2 clean-build-common clean-install-common clean-installer-common
	make GUI=sdl clean-build-common clean-install-common clean-installer-common

=== debian/changelog ===
freeciv (2.4.2-1) unstable; urgency=medium

  * Imported Upstream version 2.4.2.
  * debian/control:
    - Remove alternative dependencies on fonts-japanese-gothic and
      fonts-vlgothic since the former package does not exist and the latter was
      actually never used.
    - Change -data package dependency to freeciv-data (= ${source:Version}).
      This is a simpler expression that does apparently the same as using an >=
      and <= expression.
  * Update themes_sdl_use_system_fonts.diff. Use the correct paths to system
    font files.
  * freeciv-data: Install appdata files to /usr/share/appdata.
  * Add Forwarded header to add-keywords-to-desktop-files.patch.

 -- Markus Koschany <apo@gambaru.de>  Wed, 12 Feb 2014 17:02:14 +0100

freeciv (2.4.1-1) unstable; urgency=medium

  * Imported Upstream version 2.4.1. (Closes: #730868)
  * Add myself to Uploaders.
  * Update debian/copyright to copyright format 1.0.
    - Add missing Expat and fonts licenses.
  * Bump compat level to 9 and require debhelper >= 9.
  * Improve the package description of Freeciv's clients. (Closes: #657195)
    (LP: #202327)
  * Add menu icon to menu files.
    - Add imagemagick to Build-Depends-Indep. Convert icons in
      dh_auto_build-indep target. Add icon entry to menu files. Clean xpm files
      in debian/rules. (Closes: #726221)
  * Ensure the package can be built. Do not remove hidden quilt .pc directory
    in dh_clean. (Closes: #598226)
  * debian/rules:
    - Build with --parallel.
    - Use dh_auto_configure instead of configure command and pass dpkg's
      buildflags via dh_auto_configure to the build system.
    - Use MULTIARCH paths due to compat level 9 and remove *.la and *.a files
      in multiarch library paths.
    - Use --enable-sys-lua configure option.
      Build with Debian's system lua libraries instead of the embedded ones.
    - Do not export DH_VERBOSE=1. Disable DH's verbose build.
    - Export DEB_BUILD_MAINT_OPTIONS = hardening=+all.
      Enable all hardening flags since freeciv is a network and multiplayer
      game thus it benefits greatly from additional security features.
    - Verbose build. Use --disable-silent-rules. Don't hide possible compiler
      warnings.
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed. Avoid useless
      dependencies.
  * Declare compliance with Debian policy 3.9.5.
  * debian/control:
    - Use canonical VCS-fields.
    - Add libtolua-dev and libtolua++5-1-dev to Build-Depends.
    - Remove versioned build-dependency on dpkg (>= 1.15.7).
      It is trivially satisfied.
    - Tighten dependency on freeciv-data. Use
      freeciv-data (>= ${source:Upstream-Version}),
      freeciv-data (<= ${source:Version}),
    - Replace versioned dependencies on freeciv-server with ${binary:Version}
      substvar. Use a substvar instead of changing the versioned dependency
      every time by hand.
  * wrap-and-sort -sab
  * Update debian/watch. Detect only stable releases.
  * Drop freeciv-data.NEWS. It refers to an obsolete version of freeciv.
  * Remove debian/tmp from install files. Not needed.
  * Drop use_system_m4.diff. The patch was never complete.
  * Install all documentation in doc subdirectory.
    - Update freeciv-data.docs and install all documentation except the
      Makefiles, man pages and INSTALL files.
  * Link freeciv-gtk3.6 to freeciv-client.6. Both gtk clients share the same
    information.
  * New: add-keywords-to-desktop-files.patch.
  * Install upstream freeciv-sdl.desktop file.
  * freeciv-data.README.Debian. Remove obsolete notes about Xaw3D.
  * Drop README.source. Hardening is fully implemented now.

 -- Markus Koschany <apo@gambaru.de>  Sat, 01 Feb 2014 12:12:50 +0100

freeciv (2.4.0-1) unstable; urgency=low

  * New upstream version.  closes: #723838.
    - Drop use_system_lua5.1.diff (obsolete).
    - Update use_system_m4.diff.
    - Refresh increase_minimum_citydlg.diff.
  * Add build dependency on libcurl.
  * Install /etc/freeciv/database.lua conffile.
  * Build (experimental) gtk3 client too.
  * Have freeciv-client-gtk Recommend gtk2-engines-pixbuf.
    closes: #677891.

 -- Clint Adams <clint@debian.org>  Thu, 17 Oct 2013 12:20:05 -0400

freeciv (2.3.4-2) unstable; urgency=low

  * Change SDL client font dependencies because of package renames.
    closes: #721848.

 -- Clint Adams <clint@debian.org>  Mon, 30 Sep 2013 11:22:10 -0400

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jordi Mallach <jordi@debian.org>,
 Clint Adams <clint@debian.org>,
 Karl Goetz <karl@kgoetz.id.au>,
 Markus Koschany <apo@gambaru.de>
Standards-Version: 3.9.5
Homepage: http://www.freeciv.org/
Vcs-Git: git://anonscm.debian.org/pkg-games/freeciv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/freeciv.git
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 gettext,
 gnulib,
 libbz2-dev,
 libcurl4-gnutls-dev,
 libesd0-dev,
 libgtk-3-dev,
 libgtk2.0-dev,
 liblua5.1-0-dev,
 libpng-dev | libpng12-dev,
 libreadline-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libtolua++5.1-dev,
 libtolua-dev,
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 python-minimal,
 x11proto-core-dev,
 xaw3dg-dev,
 zlib1g-dev
Build-Depends-Indep:
 imagemagick

Package: freeciv-client-extras
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Civilization turn based strategy game (miscellaneous extras)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is a collection of supporting scripts and tools which may be
 useful to a Freeciv player. These include:
  * freeciv-manual: Generate an HTML manual for freeciv-server
  * freeciv-modpack: GTK+ modpack, ruleset and tileset downloader

Package: freeciv-client-gtk
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version}),
 gtk2-engines-pixbuf
Suggests:
 freeciv-client-extras,
 freeciv-sound
Provides:
 freeciv,
 freeciv-client
Description: Civilization turn based strategy game (GTK+ client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK+ version of Freeciv and the most sophisticated and recommended
 client to play the game.

Package: freeciv-client-sdl
Architecture: any
Depends:
 fonts-arphic-uming,
 fonts-dejavu-core,
 fonts-ipafont-gothic,
 fonts-unfonts-core,
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-sound
Provides:
 freeciv,
 freeciv-client
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This version of Freeciv is based on SDL, the Simple DirectMedia Layer library.
 It is recommended to install the »freeciv-client-gtk« package and to use the
 GTK+ client unless you really want to try this one. The SDL client offers a
 different look&feel but lacks some functionality of the GTK+ client.

Package: freeciv-client-xaw3d
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-sound
Provides:
 freeciv-client
Description: Civilization turn based strategy game (Xaw3D client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This version of Freeciv uses the Xaw3D library. It is recommended to install
 the »freeciv-client-gtk« package and to use the GTK+ client unless you really
 want to try this one. The Xaw3D client offers a different look&feel but lacks
 some functionality of the GTK+ client.

Package: freeciv-data
Architecture: all
Depends:
 ${misc:Depends}
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

Package: freeciv-server
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 freeciv-client
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-sound-standard
Architecture: all
Depends:
 ${misc:Depends}
Provides:
 freeciv-sound
Description: Civilization turn based strategy game (standard sound pack)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the standard sound pack for Freeciv. It provides Freeciv clients
 with a set of sounds for different events and actions in the game.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Export all hardening build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Avoid useless dependencies
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with autotools_dev,autoreconf

override_dh_autoreconf:
	dh_autoreconf --exclude=bootstrap/mkinstalldirs

override_dh_auto_configure:
	dh_auto_configure -- \
		--cache-file=$(CURDIR)/config.cache \
		--sysconfdir=/etc \
		--prefix=/usr \
		--datadir=\$${prefix}/share/games \
		--bindir=\$${prefix}/games \
		--enable-debug=no \
		--enable-client=all \
		--with-ggz-server=no \
		--with-ggz-client=no \
		--enable-ipv6=yes \
		--enable-sys-lua \
		--disable-silent-rules

override_dh_auto_build-indep:
	convert -monitor data/icons/32x32/freeciv-client.png freeciv.xpm
	convert -monitor data/icons/32x32/freeciv-server.png freeciv-server.xpm

override_dh_install:
	# Create .desktop files
	cp debian/tmp/usr/share/applications/freeciv.desktop \
           debian/tmp/usr/share/applications/freeciv-gtk.desktop
	sed 's/Exec=freeciv-gtk2/Exec=freeciv-sdl/' \
	   debian/tmp/usr/share/applications/freeciv.desktop \
           >debian/tmp/usr/share/applications/freeciv-sdl.desktop
	sed 's/Exec=freeciv-gtk2/Exec=freeciv-xaw/' \
	   debian/tmp/usr/share/applications/freeciv.desktop \
           >debian/tmp/usr/share/applications/freeciv-xaw3d.desktop
	rm debian/tmp/usr/share/applications/freeciv.desktop
	# Move stuff that gets lost thanks to ${datadir}
	mv debian/tmp/usr/share/games/icons debian/tmp/usr/share
	# Delete stuff that is broken or unneeded.
	# Broken man pages.
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk3.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-win32.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-xaw.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-sdl.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-ftwl.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-qt.6
	# Copy our man page into the source tree.
	cp debian/freeciv-manual.6 debian/tmp/usr/share/man/man6/freeciv-manual.6
	# Debian doesn't want .la files.
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# Should these have been installed here at all?
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	# Remove docs in debian/tmp/usr/share/doc/freeciv/
	rm -f debian/tmp/usr/share/doc/freeciv/*
	# Continue install
	dh_install --fail-missing
	# Remove sounds from -data
	rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*
	# Remove ttf fonts from -data, now provided by dependencies.
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/*.ttf
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/COPYING.*

override_dh_installdocs:
	# Don't install Makefiles, INSTALL files and man pages with dh_installdocs.
	dh_installdocs --exclude="Makefile" --exclude="INSTALL" --exclude="man"

override_dh_link:
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's in dh_link
	-rm -rf debian/freeciv-server/usr/share/doc/freeciv-server
	-rm -rf debian/freeciv-client-gtk/usr/share/doc/freeciv-client-gtk
	-rm -rf debian/freeciv-client-sdl/usr/share/doc/freeciv-client-sdl
	-rm -rf debian/freeciv-client-xaw3d/usr/share/doc/freeciv-client-xaw3d
	-rm -rf debian/freeciv-client-extras/usr/share/doc/freeciv-client-extras
	# After deleting we can link correctly
	dh_link

override_dh_clean:
	dh_clean
	rm -f freeciv.xpm
	rm -f freeciv-server.xpm
	find . -name '*.o' -exec rm -f {} \;
	find . -name '.libs' -exec rm -rf {} \;
	find . -name '.dists' -exec rm -rf {} \;

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a|graphics-materials)[\-\.]?\d*)$/$1~$2/,\
 http://download.gna.org/freeciv/stable/freeciv-(\d.*)\.(?:tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## freeciv 2.4.3

=== debian/changelog ===
freeciv (2.4.3-3) unstable; urgency=medium

  * Make gtk2-engines-pixbuf a full dependency of freeciv-client-gtk since it
    is required to display GTK-2 themes properly. (Closes: #765501)
  * Add empty-governments.patch.
    Fix empty government list in menu (backport of upstream SVN commit 26427).
    Ensure the menus are really created before performing any operations on
    them. Thanks to Rogier for the report. (Closes: #764706)
  * Add BindAll.patch.
    Fix socket binding and ensure that the client is always able to connect to
    local servers.
    Thanks to Xavier Cartron for the report and Jacob Nevins for the patch.
    (Closes: #757876)
  * Rename file extensions of patches from diff to patch.
  * Update Vcs-Browser field to new canonical address.
  * freeciv-client-gtk: Clarify in the package description that the GTK+ 3
    client is still in an experimental state and that it is recommended to use
    the GTK+ 2 version instead.

 -- Markus Koschany <apo@gambaru.de>  Mon, 20 Oct 2014 13:18:45 +0200

freeciv (2.4.3-2) unstable; urgency=medium

  * Ensure that Freeciv can be built twice in a row.
    debian/rules: Copy mkinstalldirs script to bootstrap directory because it
    is removed when the build system is autoreconfigured for the second time.
    This prevents a FTBFS in subsequent runs. (Closes: #764116)
  * Build gtk2, gtk3, sdl, xaw and stub clients explicitly.
    Change configure option --enable-client=all to
    --enable-client=gtk2,gtk3,sdl,xaw,stub to ensure that the qt client is not
    built by accident in a non-clean build environment. (Closes: #764114)
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@gambaru.de>  Mon, 06 Oct 2014 01:20:14 +0200

freeciv (2.4.3-1) unstable; urgency=medium

  * Imported Upstream version 2.4.3.
  * Remove autotools_dev. Build only with dh_autoreconf.
  * debian/rules: Replace rm -f with -delete in find command.

 -- Markus Koschany <apo@gambaru.de>  Wed, 13 Aug 2014 19:24:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
  Markus Koschany <apo@gambaru.de>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.freeciv.org/
 Vcs-Git: git://anonscm.debian.org/pkg-games/freeciv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/freeciv.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/freeciv.git
 Build-Depends:
- autotools-dev,
  debhelper (>= 9),
  dh-autoreconf,
  gettext,
@@ -61,11 +60,11 @@
 Architecture: any
 Depends:
  freeciv-data (= ${source:Version}),
+ gtk2-engines-pixbuf,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
  freeciv-server (= ${binary:Version}),
- gtk2-engines-pixbuf
 Suggests:
  freeciv-client-extras,
  freeciv-sound
@@ -77,8 +76,9 @@
  In this game, each player becomes leader of a civilisation, fighting to
  obtain the ultimate goal: the extinction of all other civilisations.
  .
- This is the GTK+ version of Freeciv and the most sophisticated and recommended
- client to play the game.
+ This is the GTK+ 2 and GTK+ 3 version of Freeciv. The GTK+ 3 version is still
+ in an experimental state. Please use the GTK+ 2 client which is the most
+ sophisticated and recommended client to play the game.
 
 Package: freeciv-client-sdl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,11 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with autotools_dev,autoreconf
+	dh $@ --parallel --with autoreconf
 
 override_dh_autoreconf:
 	dh_autoreconf --exclude=bootstrap/mkinstalldirs
+	cp debian/mkinstalldirs bootstrap/mkinstalldirs
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -28,7 +29,7 @@
 		--datadir=\$${prefix}/share/games \
 		--bindir=\$${prefix}/games \
 		--enable-debug=no \
-		--enable-client=all \
+		--enable-client=gtk2,gtk3,sdl,xaw,stub \
 		--with-ggz-server=no \
 		--with-ggz-client=no \
 		--enable-ipv6=yes \
@@ -96,7 +97,7 @@
 	dh_clean
 	rm -f freeciv.xpm
 	rm -f freeciv-server.xpm
-	find . -name '*.o' -exec rm -f {} \;
-	find . -name '.libs' -exec rm -rf {} \;
-	find . -name '.dists' -exec rm -rf {} \;
+	find . -name '*.o' -delete
+	find . -name '.libs' -delete
+	find . -name '.dists' -delete

## freeciv 2.4.4

=== debian/changelog ===
freeciv (2.4.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Just build-depend on libpng-dev.
  * Enable sqlite3 authentication support for freeciv-server and
    pass --enable-fcdb=sqlite3 to configure options. Add libsqlite3-dev to
    Build-Depends. (Closes: #769909)

 -- Markus Koschany <apo@gambaru.de>  Thu, 12 Feb 2015 20:53:00 +0100

freeciv (2.4.4-1) experimental; urgency=medium

  * Imported Upstream version 2.4.4.
  * Drop the following patches. They were merged upstream.
    - BindAll.patch
    - add-keywords-to-desktop-files.patch
    - empty-governments.patch
  * Drop increase_minimum_citydlg.patch and use upstream values again.
  * Add liblzma-dev to Build-Depends and support xz compression.
    (Closes: #769906)

 -- Markus Koschany <apo@gambaru.de>  Sun, 07 Dec 2014 15:47:05 +0100

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,12 @@
  libgtk-3-dev,
  libgtk2.0-dev,
  liblua5.1-0-dev,
- libpng-dev | libpng12-dev,
+ liblzma-dev,
+ libpng-dev,
  libreadline-dev,
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
+ libsqlite3-dev,
  libtolua++5.1-dev,
  libtolua-dev,
  libx11-dev,
@@ -64,7 +66,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- freeciv-server (= ${binary:Version}),
+ freeciv-server (= ${binary:Version})
 Suggests:
  freeciv-client-extras,
  freeciv-sound

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,8 @@
 		--with-ggz-client=no \
 		--enable-ipv6=yes \
 		--enable-sys-lua \
-		--disable-silent-rules
+		--disable-silent-rules \
+		--enable-fcdb=sqlite3
 
 override_dh_auto_build-indep:
 	convert -monitor data/icons/32x32/freeciv-client.png freeciv.xpm

## freeciv 2.5.1

=== win32/installer/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #
 # 1. download and extract the MinGW build environment from
 #    http://download.gna.org/freeciv/packages/windows/gnuwin32/
+#    Current version is gnuwin32-2015-02-25.
 # 2. double click on "gnuwin32/msys.bat"
 # 3. install the development packages:
 #    $ hg qpush -a
@@ -24,12 +25,24 @@
 #
 
 
-# build all installers
-
-all: 
-	make GUI=gtk3 installer-gtk3
-	make GUI=gtk2 installer-gtk2
-	make GUI=sdl installer-sdl
+# by default build all installers
+all: gtk3-installer gtk2-installer sdl-installer qt-installer
+
+gtk3-installer:
+	make GUI=gtk3 FCMP=gtk3 wrap-gtk3
+
+gtk2-installer:
+	make GUI=gtk2 FCMP=gtk2 wrap-gtk2
+
+sdl-installer:
+	make GUI=sdl FCMP=gtk2 wrap-sdl
+
+qt-installer:
+	make GUI=qt FCMP=qt wrap-qt
+
+snapshot:
+	cd ../.. ; ./autogen.sh --no-configure-run
+	make EXTRA_CONFIG="--enable-svnrev" all
 
 
 # build Freeciv
@@ -38,7 +51,7 @@
 	# create build directory
 	mkdir -p build-$(GUI)
 	# configure
-	cd build-$(GUI); ../../../configure --enable-client=$(GUI) --with-followtag="win32" --enable-fcdb=sqlite3 --enable-fcmp=gtk2
+	cd build-$(GUI); ../../../configure --enable-client=$(GUI) --with-followtag="win32" --enable-fcdb=sqlite3 --enable-fcmp=$(FCMP) $(EXTRA_CONFIG)
 	# make
 	make -C build-$(GUI)
 
@@ -48,6 +61,7 @@
 
 build-freeciv-sdl: build-freeciv-common
 
+build-freeciv-qt: build-freeciv-common
 
 # install Freeciv
 
@@ -63,10 +77,10 @@
 	mv install-$(GUI)/usr/local/share/doc install-$(GUI)/doc
 	# delete unneeded files
 	rm -r install-$(GUI)/usr
-	# strip 'freeciv-manual' and 'freeciv-modpack' executables
+	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
 	strip install-$(GUI)/freeciv-m*
 	# add start menu files
-	cp freeciv-server.cmd freeciv-modpack.cmd freeciv-$(GUI).cmd Freeciv.url install-$(GUI)/
+	cp freeciv-server.cmd freeciv-mp-$(FCMP).cmd freeciv-$(GUI).cmd Freeciv.url install-$(GUI)/
 
 install-freeciv-gtk3: install-freeciv-common
 
@@ -81,6 +95,7 @@
 	cp /opt/un-fonts/UnDotum.ttf install-sdl/data/themes/gui-sdl/human/
 	cp /opt/un-fonts/COPYING install-sdl/data/themes/gui-sdl/human/COPYING.UnDotum
 
+install-freeciv-qt: install-freeciv-common
 
 # install Freeciv environment
 
@@ -115,7 +130,6 @@
 	libogg-0.dll \
 	libpango-1.0-0.dll \
 	libpangocairo-1.0-0.dll \
-	libpangoft2-1.0-0.dll \
 	libpangowin32-1.0-0.dll \
 	libpixman-1-0.dll \
 	libpng14-14.dll \
@@ -133,11 +147,26 @@
 	# add DLLs
 	cp -R $(addprefix /bin/, $(COMMON_DLLS)) install-$(GUI)
 
+GTK3_DLLS := \
+	libgdk-3-0.dll \
+	libgtk-3-0.dll
+
+install-env-gtk3: install-env-common
+	cp -R $(addprefix /bin/, $(GTK3_DLLS)) install-$(GUI)
+	# add additional GTK+3 files
+	mkdir -p install-$(GUI)/etc
+	cp -R /etc/gtk-3.0 install-$(GUI)/etc/
+	mkdir -p install-$(GUI)/lib/gtk-3.0/
+	cp -R /lib/gtk-3.0/3.0.0 install-$(GUI)/lib/gtk-3.0/
+	cp -R /share/locale install-$(GUI)/share/
+	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk30.mo -delete
+
 DEFAULT_FCMP_DLLS := \
 	libgdk-win32-2.0-0.dll \
 	libgtk-win32-2.0-0.dll
 
 install-env-default-fcmp: install-env-common
+	# add DLLs
 	cp -R $(addprefix /bin/, $(DEFAULT_FCMP_DLLS)) install-$(GUI)
 	# add additional GTK+2 files
 	mkdir -p install-$(GUI)/etc
@@ -145,33 +174,33 @@
 	mkdir -p install-$(GUI)/lib/gtk-2.0/
 	cp -R /lib/gtk-2.0/2.10.0 install-$(GUI)/lib/gtk-2.0/
 	cp -R /share/locale install-$(GUI)/share/
-	find install-$(GUI)/share/locale -type f -not -name freeciv.mo -and -not -name gtk30.mo -and -not -name gtk20.mo -delete
-
-GTK3_DLLS := \
-	libgdk-3-0.dll \
-	libgtk-3-0.dll
-
-install-env-gtk3: install-env-default-fcmp
-	# add DLLs
-	cp -R $(addprefix /bin/, $(GTK3_DLLS)) install-$(GUI)
-	# add additional GTK+3 files
-	mkdir -p install-$(GUI)/etc
-	cp -R /etc/gtk-3.0 install-$(GUI)/etc/
-	mkdir -p install-$(GUI)/lib/gtk-3.0/
-	cp -R /lib/gtk-3.0/3.0.0 install-$(GUI)/lib/gtk-3.0/
-	cp -R /share/locale install-$(GUI)/share/
-	find install-$(GUI)/share/locale -type f -not -name freeciv.mo -and -not -name gtk30.mo -delete
+	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk20.mo -delete
 
 install-env-gtk2: install-env-default-fcmp
 
 SDL_DLLS := \
 	libpng12-0.dll \
-	SDL_image.dll
+	libSDL_gfx-15.dll \
+	SDL_image.dll \
+	SDL_ttf.dll
 
 install-env-sdl: install-env-default-fcmp
 	# add DLLs
 	cp -R $(addprefix /bin/, $(SDL_DLLS)) install-$(GUI)
 
+QT_DLLS := \
+	libstdc++-6.dll \
+	Qt5Core.dll \
+	Qt5Gui.dll \
+	Qt5Widgets.dll
+
+install-env-qt: install-env-common
+	# add DLLs
+	cp -R $(addprefix /bin/, $(QT_DLLS)) install-$(GUI)
+	# add additional Qt files
+	cp -R /plugins install-$(GUI)/
+	cp -R /share/locale install-$(GUI)/share/
+	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -delete
 
 # build installer
 	
@@ -184,11 +213,13 @@
 	mkdir -p Output
 	makensis Freeciv-$(FREECIV_VERSION)-$(GUI).nsi
 
-installer-gtk3: build-freeciv-gtk3 installer-common
-
-installer-gtk2: build-freeciv-gtk2 installer-common
-
-installer-sdl: build-freeciv-sdl installer-common
+wrap-gtk3: build-freeciv-gtk3 installer-common
+
+wrap-gtk2: build-freeciv-gtk2 installer-common
+
+wrap-sdl: build-freeciv-sdl installer-common
+
+wrap-qt: build-freeciv-qt installer-common
 
 
 # cleanup
@@ -207,3 +238,4 @@
 	make GUI=gtk3 clean-build-common clean-install-common clean-installer-common
 	make GUI=gtk2 clean-build-common clean-install-common clean-installer-common
 	make GUI=sdl clean-build-common clean-install-common clean-installer-common
+	make GUI=qt clean-build-common clean-install-common clean-installer-common

=== debian/changelog ===
freeciv (2.5.1-1) unstable; urgency=medium

  * Imported Upstream version 2.5.1.
  * debian/rules: Add get-orig-source target.
  * Drop remove-non-existent-category-key.patch. Merged upstream.
  * debian/rules: Build without hardening build flag -pie.
    This is a workaround for http://gna.org/bugs/?23797
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@gambaru.de>  Wed, 19 Aug 2015 13:28:28 +0200

freeciv (2.5.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Revert "Remove libbz2-dev from Build-Depends." (Closes: #784019)
    This reverts commit d08b1ffb38e0b998c277999dca1561da9263faea.
  * debian/copyright: Add clarification for sikkim.svg and saxony.svg images.
    These files are ineligible for copyright and therefore in the public domain
    because they consist entirely of information that are common property and
    contain no original authorship. The copyright information in the svg
    metadata is therefore wrong and will be corrected in a future upstream
    release.
    Thanks to Thorsten Alteholz for the report. (Closes: #789374)
  * Install freeciv wrapper script into freeciv metapackage.
    Provide a wrapper script to launch the recommended game client with the
    freeciv command.
  * Symlink freeciv-client man page into freeciv metapackage.

 -- Markus Koschany <apo@gambaru.de>  Tue, 23 Jun 2015 14:36:08 +0200

freeciv (2.5.0-2) experimental; urgency=medium

  * Create a separate package and enable the Qt client.
    Thanks to Reiner Herrmann for the patch. (Closes: #780926)
  * Link all client man pages against freeciv-client.6 again.
    This reverts the change from the previous upload. Lintian overrides are no
    longer necessary now.
  * Remove all postinst files because they are obsolete.
  * Remove update-alternatives mechanism and its associated slave links in
    preinst and drop all prerm files.
  * Instead create a freeciv metapackage and always depend on the recommended
    game client. (Closes: #766185)
  * debian/control:
     - Remove all Provides fields.
     - Replace virtual freeciv-sound package with freeciv-sound-standard.
     - Replace virtual freeciv-client package with freeciv.
  * freeciv-client-sdl: Suggest freeciv-client-extras.

 -- Markus Koschany <apo@gambaru.de>  Wed, 29 Apr 2015 22:51:11 +0200

freeciv (2.5.0-1) experimental; urgency=medium

  * Imported Upstream version 2.5.0.
  * Remove dh_autoreconf override and debian/mkinstalldirs script.
    Freeciv can be compiled twice in a row without it now.
  * debian/control:
    - New build-dependencies: libsdl-ttf2.0-dev and libsdl-gfx1.2-dev.
    - Drop xaw3d client. It is unmaintained and obsolete.
    - Remove xaw3d related build dependencies.
    - Switch from liblua5.1-0-dev to liblua5.2-dev.
    - Remove libbz2-dev from Build-Depends.
      We already support xz compression which is a superior compression format.
      Alternatives like gzip are still available.
  * freeciv-client-extras:
    - Do not ship freeciv-manual and corresponding man page anymore because
      they are not considered to be useful for normal users by upstream.
    - Install new freeciv-mp-gtk3 application in freeciv-client-extras.
      It is a replacement for freeciv-modpack.
  * freeciv-client-gtk: Remove GTK-3 client from freeciv-client-gtk and stop
    building it. Upstream considers the GTK-3 client to be experimental.
    However it will be reintroduced later by creating a separate
    freeciv-client-gtk3 package.
  * debian/rules:
    - Remove desktop file hack from debian/rules and use only upstream's
      desktop files.
    - Stop exporting DH_OPTIONS. The magic works anyway.
    - Build --without-freeciv-manual
    - Drop freeciv-stub client and corresponding man pages. It is not of real
      value for most users.
    - Remove all symlinks to freeciv-client man page and install the original,
      client specific man pages instead.
    - Add --with-missinglist option to dh_auto_configure. It is useful for
      discovering features which are left out because of missing dependencies.
  * Add remove-non-existent-category-key.patch and remove non-existent SDL
    category in freeciv-client-sdl.desktop.
  * Update debian/copyright for new release.
  * Add lintian-overrides for client packages and override lintian warnings
    about man page errors. Those are in fact non-issues because Lintian cannot
    detect the real freeciv-client man page in freeciv-data.
  * Update package description of freeciv-client-extras.

 -- Markus Koschany <apo@gambaru.de>  Sun, 15 Mar 2015 16:27:24 +0100

=== debian/control ===
--- 
+++ 
@@ -21,26 +21,37 @@
  libesd0-dev,
  libgtk-3-dev,
  libgtk2.0-dev,
- liblua5.1-0-dev,
+ liblua5.2-dev,
  liblzma-dev,
  libpng-dev,
  libreadline-dev,
+ libsdl-gfx1.2-dev,
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
+ libsdl-ttf2.0-dev,
  libsqlite3-dev,
- libtolua++5.1-dev,
  libtolua-dev,
  libx11-dev,
- libxaw7-dev,
- libxext-dev,
- libxmu-dev,
- libxt-dev,
  python-minimal,
+ qtbase5-dev,
+ qtbase5-dev-tools,
  x11proto-core-dev,
- xaw3dg-dev,
  zlib1g-dev
 Build-Depends-Indep:
  imagemagick
+
+Package: freeciv
+Architecture: all
+Depends:
+ freeciv-client-gtk,
+ freeciv-data (= ${source:Version}),
+ ${misc:Depends}
+Description: Civilization turn based strategy game
+ Freeciv is a free clone of the turn based strategy game Civilization.
+ In this game, each player becomes leader of a civilisation, fighting to
+ obtain the ultimate goal: the extinction of all other civilisations.
+ .
+ This metapackage will install the recommended client to play Freeciv.
 
 Package: freeciv-client-extras
 Architecture: any
@@ -53,10 +64,8 @@
  In this game, each player becomes leader of a civilisation, fighting to
  obtain the ultimate goal: the extinction of all other civilisations.
  .
- This is a collection of supporting scripts and tools which may be
- useful to a Freeciv player. These include:
-  * freeciv-manual: Generate an HTML manual for freeciv-server
-  * freeciv-modpack: GTK+ modpack, ruleset and tileset downloader
+ This package includes Freeciv's modpack tool freeciv-mp-gtk3. It allows you to
+ select and download custom rulesets and tilesets for the game.
 
 Package: freeciv-client-gtk
 Architecture: any
@@ -69,18 +78,32 @@
  freeciv-server (= ${binary:Version})
 Suggests:
  freeciv-client-extras,
- freeciv-sound
-Provides:
- freeciv,
- freeciv-client
+ freeciv-sound-standard
 Description: Civilization turn based strategy game (GTK+ client)
  Freeciv is a free clone of the turn based strategy game Civilization.
  In this game, each player becomes leader of a civilisation, fighting to
  obtain the ultimate goal: the extinction of all other civilisations.
  .
- This is the GTK+ 2 and GTK+ 3 version of Freeciv. The GTK+ 3 version is still
- in an experimental state. Please use the GTK+ 2 client which is the most
- sophisticated and recommended client to play the game.
+ This is the GTK+ 2 version of Freeciv. It is the most sophisticated and
+ recommended client to play the game.
+
+Package: freeciv-client-qt
+Architecture: any
+Depends:
+ freeciv-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ freeciv-server (= ${binary:Version})
+Suggests:
+ freeciv-client-extras,
+ freeciv-sound-standard
+Description: Civilization turn based strategy game (Qt client)
+ Freeciv is a free clone of the turn based strategy game Civilization.
+ In this game, each player becomes leader of a civilisation, fighting to
+ obtain the ultimate goal: the extinction of all other civilisations.
+ .
+ This is the Qt version of Freeciv.
 
 Package: freeciv-client-sdl
 Architecture: any
@@ -95,10 +118,8 @@
 Recommends:
  freeciv-server (= ${binary:Version})
 Suggests:
- freeciv-sound
-Provides:
- freeciv,
- freeciv-client
+ freeciv-client-extras,
+ freeciv-sound-standard
 Description: Civilization turn based strategy game (SDL client)
  Freeciv is a free clone of the turn based strategy game Civilization.
  In this game, each player becomes leader of a civilisation, fighting to
@@ -108,28 +129,6 @@
  It is recommended to install the »freeciv-client-gtk« package and to use the
  GTK+ client unless you really want to try this one. The SDL client offers a
  different look&feel but lacks some functionality of the GTK+ client.
-
-Package: freeciv-client-xaw3d
-Architecture: any
-Depends:
- freeciv-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- freeciv-server (= ${binary:Version})
-Suggests:
- freeciv-sound
-Provides:
- freeciv-client
-Description: Civilization turn based strategy game (Xaw3D client)
- Freeciv is a free clone of the turn based strategy game Civilization.
- In this game, each player becomes leader of a civilisation, fighting to
- obtain the ultimate goal: the extinction of all other civilisations.
- .
- This version of Freeciv uses the Xaw3D library. It is recommended to install
- the »freeciv-client-gtk« package and to use the GTK+ client unless you really
- want to try this one. The Xaw3D client offers a different look&feel but lacks
- some functionality of the GTK+ client.
 
 Package: freeciv-data
 Architecture: all
@@ -149,7 +148,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
- freeciv-client
+ freeciv
 Description: Civilization turn based strategy game (server files)
  Freeciv is a free clone of the turn based strategy game Civilization.
  In this game, each player becomes leader of a civilisation, fighting to
@@ -161,8 +160,6 @@
 Architecture: all
 Depends:
  ${misc:Depends}
-Provides:
- freeciv-sound
 Description: Civilization turn based strategy game (standard sound pack)
  Freeciv is a free clone of the turn based strategy game Civilization.
  In this game, each player becomes leader of a civilisation, fighting to

## freeciv 2.5.3

=== win32/installer/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 snapshot:
 	cd ../.. ; ./autogen.sh --no-configure-run
-	make EXTRA_CONFIG="--enable-svnrev" all
+	make VERSION_REVTYPE="svn" EXTRA_CONFIG="--enable-svnrev" all
 
 
 # build Freeciv
@@ -75,6 +75,8 @@
 	mkdir -p install-$(GUI)/share
 	mv install-$(GUI)/usr/local/share/locale install-$(GUI)/share/
 	mv install-$(GUI)/usr/local/share/doc install-$(GUI)/doc
+	mkdir -p install-$(GUI)/debuginfo
+	cp build-$(GUI)/fc_config.h install-$(GUI)/debuginfo
 	# delete unneeded files
 	rm -r install-$(GUI)/usr
 	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
@@ -203,7 +205,7 @@
 	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -delete
 
 # build installer
-	
+
 installer-common: clean-install-common install-freeciv-$(GUI) install-env-$(GUI)
 	# extract Freeciv version
 	$(eval FREECIV_VERSION := $(shell ../../fc_version))

=== debian/changelog ===
freeciv (2.5.3-1) unstable; urgency=medium

  * Imported Upstream version 2.5.3.
  * Drop qt-client-* patches. Applied upstream.

 -- Markus Koschany <apo@debian.org>  Sun, 07 Feb 2016 17:04:49 +0100

freeciv (2.5.2-2) unstable; urgency=medium

  * Vcs-Git: Use https.
  * Add qt-client-HOME-folder.patch and qt-client-save-games-menu.patch.
     - Fix menu item "Save game" being disabled when there are no active units.
     - Fix QFileDialog::getSaveFileName creating $HOME subdirectory.
    Thanks to Günter Heine for the report and the Freeciv developers for
    providing the patches. (Closes: #813107, #813218)
  * Declare compliance with Debian Policy 3.9.7.

 -- Markus Koschany <apo@debian.org>  Sat, 06 Feb 2016 23:43:56 +0100

freeciv (2.5.2-1) unstable; urgency=medium

  * Imported Upstream version 2.5.2.
  * Mark arch:all packages as Multi-Arch: foreign. (Closes: #805181)
  * Vcs-Browser: Use https.
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Wed, 20 Jan 2016 20:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Jordi Mallach <jordi@debian.org>,
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
- Markus Koschany <apo@gambaru.de>
-Standards-Version: 3.9.6
+ Markus Koschany <apo@debian.org>
+Standards-Version: 3.9.7
 Homepage: http://www.freeciv.org/
-Vcs-Git: git://anonscm.debian.org/pkg-games/freeciv.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/freeciv.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/freeciv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freeciv.git
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
@@ -42,6 +42,7 @@
 
 Package: freeciv
 Architecture: all
+Multi-Arch: foreign
 Depends:
  freeciv-client-gtk,
  freeciv-data (= ${source:Version}),
@@ -132,6 +133,7 @@
 
 Package: freeciv-data
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: Civilization turn based strategy game (game data)
@@ -158,6 +160,7 @@
 
 Package: freeciv-sound-standard
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: Civilization turn based strategy game (standard sound pack)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Export all hardening build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# Avoid useless dependencies
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--cache-file=$(CURDIR)/config.cache \
		--sysconfdir=/etc \
		--prefix=/usr \
		--datadir=\$${prefix}/share/games \
		--bindir=\$${prefix}/games \
		--enable-debug=no \
		--enable-client=gtk2,sdl,qt \
		--enable-fcmp=gtk3 \
		--with-ggz-server=no \
		--with-ggz-client=no \
		--enable-ipv6=yes \
		--enable-sys-lua \
		--disable-silent-rules \
		--enable-fcdb=sqlite3 \
		--without-freeciv-manual \
		--with-missinglist

override_dh_auto_build-indep:
	convert -monitor data/icons/32x32/freeciv-client.png freeciv.xpm
	convert -monitor data/icons/32x32/freeciv-server.png freeciv-server.xpm

override_dh_install:
	# Move stuff that gets lost thanks to ${datadir}
	mv debian/tmp/usr/share/games/icons debian/tmp/usr/share
	# Delete man pages which are unneeded.
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk3.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-sdl.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-qt.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-xaw.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-manual.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-cli.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-gtk2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-qt.6
	# Debian doesn't want .la files.
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# Should these have been installed here at all?
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	# Remove docs in debian/tmp/usr/share/doc/freeciv/
	rm -f debian/tmp/usr/share/doc/freeciv/*
	# Continue install
	dh_install --fail-missing
	# Remove sounds from -data
	rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*
	# Remove ttf fonts from -data, now provided by dependencies.
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/*.ttf
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/COPYING.*

override_dh_installdocs:
	# Don't install Makefiles, INSTALL files and man pages with dh_installdocs.
	dh_installdocs --exclude="Makefile" --exclude="INSTALL" --exclude="man"

override_dh_link:
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's in dh_link
	-rm -rf debian/freeciv-server/usr/share/doc/freeciv-server
	-rm -rf debian/freeciv/usr/share/doc/freeciv
	-rm -rf debian/freeciv-client-gtk/usr/share/doc/freeciv-client-gtk
	-rm -rf debian/freeciv-client-qt/usr/share/doc/freeciv-client-qt
	-rm -rf debian/freeciv-client-sdl/usr/share/doc/freeciv-client-sdl
	-rm -rf debian/freeciv-client-extras/usr/share/doc/freeciv-client-extras
	# After deleting we can link correctly
	dh_link

override_dh_clean:
	dh_clean
	rm -f freeciv.xpm
	rm -f freeciv-server.xpm
	find . -name '*.o' -delete
	find . -name '.libs' -delete
	find . -name '.dists' -delete

get-orig-source:
	uscan --verbose --download-current-version --force-download
